Ticket #42695

freeciv-ruleup trouble with saving embedded_nations

Open Date: 2021-08-07 13:25 Last Update: 2021-09-22 03:05

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
3

Details

1 mistakenly adds line
generated=FALSE
to all extra resources in terrain.ruleset. This causes all resource extras to not be displayed.
2 also adds line
buildable=FALSE
to all extra resources in terrain.ruleset. This seems to be redundant.
3 if nations.ruleset has a line
*include "nation/X.ruleset"
and the X is not barbarian or pirate, the line gets lost, and is not in-lined like what happens to "nation/pirate.ruleset" and "nation/barbarian.ruleset".

Note - there is no Component called Ruleup, so I chose Rulesets.

Ticket History (3/12 Histories)

2021-08-07 13:25 Updated by: ddeanbrown
  • New Ticket "bugs in freeciv-ruleup" created
2021-08-26 11:20 Updated by: cazfi
  • Component Update from Rulesets to Ruledit
2021-09-10 20:42 Updated by: cazfi
Comment

Please report one issue per ticket in the future. Status of the ticket cannot reflect multiple issues with different statuses.

Splitting this one up.

generated=FALSE -> #42847

2021-09-10 21:14 Updated by: cazfi
Comment

buildable=FALSE (or rather the underlying issue it reveals) -> #42848

2021-09-10 21:33 Updated by: cazfi
Comment

That leaves nations.ruleset issue to be handled in this ticket.

2021-09-14 14:35 Updated by: cazfi
Comment

Have you listed that nation in ruledit section embedded_nations entry?

2021-09-16 07:45 Updated by: ddeanbrown
Comment

No. The line in my nations.ruleset was the original -

embedded_nations = "barbarian", "pirate"

As an experiment, I just tried using the line -

embedded_nations = "barbarian", "pirate", "animals"

and freeciv-ruleup then gives an error - "1: There's nation animals listed in embedded nations, but there's no such nation."

BUT this is with the placement of the "*include xxx" lines at the end of the file, like all the distributed nations.ruleset files. When I move those includes to the top of the file, then freeciv-ruleup works OK, regardless of whether the embedded_nations has "animals" or not.

2021-09-16 10:20 Updated by: cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 2.6.6
  • Summary Updated
Comment

Reply To ddeanbrown

As an experiment, I just tried using the line - embedded_nations = "barbarian", "pirate", "animals"

If you are using animals.ruleset from freeciv distribution the name of the nation is "Animal Kingdom", not "animals".
I've attached patches for all branches for making those entries a tiny bit less confusing
2021-09-22 03:05 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login